Subject: bug#6681: 23.2; "Save Error" from semantic

From: Tom Tromey <[email-masked]>
Date: Thu, 29 Jul 2010 17:51:20 -0600

Tom> I have semantic enabled.  I saw this error in *Messages*:
Tom> Error Writing Table: #<semanticdb-table ctype.h>
Tom> Save Error: "\"Error in macro \\\"name\\\"\"": /home/tromey/.emacs.d/semanticdb/!usr!include!semantic.cache

This bug makes Emacs very difficult to use.  It periodically locks up,
with this message in the echo area.  I can C-g out of it, but then I
lose my typeahead.

I tried turning off Semantic with M-x semantic-mode again, but this
message keeps coming back.  I checked, and global-semanticdb-minor-mode
is nil -- I think disabling semantic-mode disabled it.  I expected this
to disable the attempts to save.

This error happened 3 times while composing this message.

I think I am going to have to restart Emacs :-(

Tom